Jump to content
Dave Millington (personal)

ANN: Parnassus Bookmarks and Navigator will be included in the next release of RAD Studio

Recommended Posts

Hi,

 

I've had lots of enquiries recently about when Bookmarks and Navigator will have a version available for 10.3 - they've been updated and new features added for every release until now. I'm please to say they will be available with the upcoming version of RAD Studio (10.3.1) which is coming out soon.

 

The reason for for being included, and for the lack of news about a 10.3-compatible release in the past month, is that the plugins have been acquired by Embarcadero and so will now ship with the IDE itself.

 

This is great news. I wrote the plugins originally to add features I wanted to the IDE, and hundreds (thousands, actually!) of developers have given great feedback. It's great to know the features will be available to everyone. In addition, due to the pressures of work, I haven't had much time to maintain or extend them recently, and so having them under Embarcadero's wing means they'll live on and be developed as part of Delphi and C++Builder itself.

 

More info in the linked post!

 

- David

  • Like 5
  • Thanks 4

Share this post


Link to post

I'm still wondering why the plugin API became so lean. Add/Delete/Some events and a readonly Items.

To rename a bookmark I have to delete and add a new one which is triggering a bunch of events, mostly arriving too late for being able to flag the internal processing.

I suppose this will never change. You had no time and this won't change with the acquire. Too bad.

Share this post


Link to post

Installed Bookmarks & Navigator in Rio.

 

Now my Berlin reports "Access violation at address 07E8D047 in module 'ParnassusCoreEditor.dll'. Read of address 00000000." when I start the IDE.  I get the same error when loading a project and then Bookmarks doesn't work.

 

I also get a bunch of errors when I open a form unit and then I get into "Access violation at address 20837CFB in module 'coreide240.bpl'. Read of address 00000018." which repeats indefinitely.
 

😠

 

I have Bookmarks 1.5.1 installed in Berlin.

 

Is there anything I can do to have working Bookmarks both in Berlin and Rio?

Edited by Primož Gabrijelčič

Share this post


Link to post
42 minutes ago, Primož Gabrijelčič said:

Installed Bookmarks & Navigator in Rio. ....

 

I can confirm this... Damnation. 10.2 installation is pretty useless...  😞 Wouldn't matter too much, but that will be main IDE for a couple of weeks or so 😞

 

-Tee-

  • Sad 1

Share this post


Link to post

Seems that there is only one ParnassusCoreEditor.dll in my system drive, and it is of version 1,6.0, and most likely not compatible with older plugins.

 

-Tee-

Share this post


Link to post

I have C:\Users\gabr\Documents\Embarcadero\Studio\20.0\CatalogRepository\ParnassusCoreEditor-1.0\ParnassusCoreEditor.dll (modified 15.2.2019)

 

and 

 

C:\Users\gabr\AppData\Roaming\Parnassus OU\Common\ParnassusCoreEditor_XBerlin.dll (modified 20.5.2016)

 

So I don't see why the 1.6 install in Rio would break Berlin at all 😞

Share this post


Link to post

Reason is, that the path to the core dll is common for all installed releases through a setting in the registry:

 

[HKEY_CURRENT_USER\Software\Parnassus OU\Core]
"Path"="C:\\Users\\Public\\Documents\\Embarcadero\\Studio\\20.0\\Experts"

 

This always points to the last installation.

Edited by GPRSNerd
  • Thanks 2

Share this post


Link to post
10 hours ago, GPRSNerd said:

Reason is, that the path to the core dll is common for all installed releases through a setting in the registry:

 

[HKEY_CURRENT_USER\Software\Parnassus OU\Core]
"Path"="C:\\Users\\Public\\Documents\\Embarcadero\\Studio\\20.0\\Experts"

 

This always points to the last installation.

 

@David Millington Can you - or Embarcadero - please publish Bookmarks and Navigator 1.6 for older platforms? Or create a version that does not depend on share "Core" DLL? I think the community would very much appreciate it. I know I would.

  • Like 1

Share this post


Link to post

Would it help to change the registry setting to "$(BDS)\\Experts" and make sure that the correct DLLs reside in the proper places?

Share this post


Link to post
1 hour ago, Uwe Raabe said:

Would it help to change the registry setting to "$(BDS)\\Experts" and make sure that the correct DLLs reside in the proper places?

Great idea, but unfortunately it doesnt work.

image.png.7848f640ddc1212f6dd42ec03a9787f9.png

 

Setting it to "($BDS)\Experts" fails in the same way. 

Share this post


Link to post

I got it working now!

 

  • First I changed the path setting back to the old value (on my machine it is "c:\Users\Uwe\AppData\Roaming\Parnassus OU\Common").
  • Then I copied the new DLL into that folder
  • and renamed it to ParnassusCoreEditor_XRio.dll

It seems that the DLL loader logic first looks for the "XRio" DLL and has a fallback to the original name. That way the different DLLs can coexist in the same folder and the XRio renaming allows for future version, too.

  • Thanks 8

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×